#ifndef BOUNDARY_H
#define BOUNDARY_H

#include <vector>

class Boundary {
public:
   Boundary();
   void addVertex(int);
   bool contains(int) const;
   std::vector<int>::const_iterator begin() const {return mVertices.begin();}
   std::vector<int>::const_iterator end() const {return mVertices.end();}
private:
   std::vector<int> mVertices;
};

#endif