#include "Edge.h"

Edge::Edge(int iv1, int iv2) {
   if (iv1 < iv2) {
      v1 = iv1;
      v2 = iv2;
   } else {
      v1 = iv2;
      v2 = iv1;
   }
   t1 = -1;
   t2 = -1;
}

bool Edge::operator <(const Edge &rhs) const {
	return v1 < rhs.v1 || (v1 == rhs.v1 && v2 < rhs.v2);
}

bool Edge::operator ==(const Edge &rhs) const {
	return v1 == rhs.v1 && v2 == rhs.v2;
}