#ifndef GRAPH_NODE_H
#define GRAPH_NODE_H

#include <vector>
#include "Graph.h"

class GraphNode{
private:
   std::vector<int> mSiblings;
   Graph *mGraph;
public:
   GraphNode();
   void setGraph(Graph *);
   Graph *getGraph();
   void addSibling(int);
   void removeSibling(int);
   const std::vector<int> &getSiblings() const;
   bool contains(int);
};

#endif