#include "GraphNode.h"

using namespace std;

GraphNode::GraphNode() {
   mGraph = NULL;
}

void GraphNode::setGraph(Graph *graph) {
   mGraph = graph;
}

Graph *GraphNode::getGraph() {
   return mGraph;
}

void GraphNode::addSibling(int sibling) {
   mSiblings.push_back(sibling);
}

void GraphNode::removeSibling(int sibling) {
   for (vector<int>::iterator itr = mSiblings.begin(); itr != mSiblings.end(); itr++) {
      if (*itr == sibling) {
         mSiblings.erase(itr);
         break;
      }
   }
}

const vector<int> &GraphNode::getSiblings() const {
   return mSiblings;
}

bool GraphNode::contains(int v) {
   for (vector<int>::iterator itr = mSiblings.begin(); itr != mSiblings.end(); itr++) {
      if (*itr == v) return true;
   }
   return false;
}