#ifndef MYVECTOR_H
#define MYVECTOR_H

class MyVector {
public:
   float x;
   float y;
   float z;

   MyVector(float ix = 0, float iy = 0, float iz = 0) : x(ix), y(iy), z(iz) {};
   MyVector(MyVector &v) {x = v.x; y = v.y; z = v.z;}
   float Dot(MyVector &);
   MyVector CrossProd(MyVector &);
   MyVector Minus(MyVector &);
   MyVector Plus(MyVector &);
   MyVector Scale(float);
   void Set(float ix, float iy, float iz) {x = ix; y = iy; z = iz;}
   void Norm();
   float Mag();
};

#endif